﻿@model eCommerce.UI.ViewModels.ShoppingCartViewModel

<div class="widget cart-summary">
    <h1 class="border">Tu Compra</h1>
    <div class="body">
        <ul class="tabled-data no-border inverse-bold">
            <li>
                <label>Subtotal</label>
                <div class="value pull-right summary-subtotal summary-price">$@Model.TotalOrderDetails.ToString("N")</div>
            </li>
            <li>
                <label>Descuento <span class="discount-percentage"></span></label>
                <div class="value pull-right discount">@(Model.Discount > 0 ? "$" + Model.Discount.ToString("N") : "$0,00")</div>
                <input type="hidden" name="discountAmount" id="discountAmount" value="0" />
            </li>
            <li>
                <label>Costo de Env&iacute;o @(Model.FreeShipping ? Html.Raw("<strong>(Gratis)</strong>") : Html.Raw(string.Empty))</label>
                <div class="value pull-right shipment-cost">
                    @(Model.FreeShipping ? "$0,00" : "$" + Model.ShippingCost.ToString("N"))
                </div>
            </li>
        </ul>
        <ul id="total-price" class="tabled-data inverse-bold no-border">
            <li>
                <label class="summary-total-label">Total</label>
                <div class="value pull-right summary-total">$@(Model.FreeShipping ? Model.TotalWithDiscount.ToString("N") : Model.TotalWithDiscount.ToString("N"))</div>
            </li>
        </ul>
        <div class="buttons-holder">
            @if (ViewContext.RouteData.Values["action"].ToString().ToLower() == "step1")
            {
                <button id="btnAvanzar" class="le-button big" type="submit" onclick="javascript:validarStock()">Siguiente</button>
            }
            else
            {
                <button id="btnAvanzar" class="le-button big" type="submit">@(ViewContext.RouteData.Values["action"].ToString().ToLower() == "step3" ? "Finalizar Compra" : "Siguiente")</button>
            }
            <a class="simple-link block" href="/">Continuar comprando</a>
            <a class="simple-link block hidden" id="clearCart" href="javascript:fConfirmClear();">Vaciar el carrito</a>
        </div>
    </div>
</div><!-- /.widget -->